package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description 演说者信心自评量表
 */
public class PRCSScale extends BaseScale {
    public PRCSScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public JSONObject scaleCalculate() throws Exception {
        //总分
        int score = 0;

        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("scoreDirection").equals("1")) {
                if (jsonObject1.getString("checkItems").equals("是")) {
                    score += 1;
                } else if (jsonObject1.getString("checkItems").equals("否")) {
                    score += 0;
                }
            } else if (jsonObject1.getString("scoreDirection").equals("0")) {
                if (jsonObject1.getString("checkItems").equals("是")) {
                    score += 0;
                } else if (jsonObject1.getString("checkItems").equals("否")) {
                    score += 1;
                }

            }
        }

        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));

        List<Map<String, String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList", resultMapList);
        returnJson.put("scaleName", Constant.SHEET_NAME_PRCS);
        returnJson.put("resultJson", resultJson);

        return returnJson;
    }
}
